#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  liblinear-243

- Next

  libpaper-1.1.24+nmu5

- Up
- Home

# libmbim-1.26.2

## Introduction to libmbim

The libmbim package contains a GLib-based library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/libmbim/libmbim-1.26.2.tar.xz

- Download MD5 sum: 8893edbfd16e1198c018277cd2ad487e

- Download size: 548 KB

- Estimated disk space required: 32 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libmbim Dependencies

#### Recommended

gobject-introspection-1.70.0

#### Optional

GTK-Doc-1.33.2 and help2man

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libmbim

## Installation of libmbim

Install libmbim by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: mbimcli and mbim-network
Installed Libraries: libmbim-glib.so
Installed Directories: /usr/include/libmbim-glib and /usr/share/gtk-doc/html/libmbim-glib

### Short Descriptions

mbimcli | is an utility used to control MBIM devices
mbim-network | is an utility used for simple network management of MBIM devices
`libmbim-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol

Last updated on

- Prev

  liblinear-243

- Next

  libpaper-1.1.24+nmu5

- Up
- Home